Update AI analysis prompt
curl --request POST \
--url https://ai.platform.arb.inc/prompts/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 42,
"prompt": "Analyze the statement of claim with enhanced focus on damages calculation.",
"active": true,
"triggerOnDocket": true,
"triggerOnDraft": false,
"includeEvidence": true,
"includeFullCase": false
}
'import requests
url = "https://ai.platform.arb.inc/prompts/update"
payload = {
"id": 42,
"prompt": "Analyze the statement of claim with enhanced focus on damages calculation.",
"active": True,
"triggerOnDocket": True,
"triggerOnDraft": False,
"includeEvidence": True,
"includeFullCase": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 42,
prompt: 'Analyze the statement of claim with enhanced focus on damages calculation.',
active: true,
triggerOnDocket: true,
triggerOnDraft: false,
includeEvidence: true,
includeFullCase: false
})
};
fetch('https://ai.platform.arb.inc/prompts/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"created": "2026-01-15T10:30:00.000Z",
"updated": "2026-01-20T14:45:00.000Z",
"documentID": "statementOfClaim",
"ruleSet": "small-claims-v1",
"prompt": "Analyze the statement of claim with enhanced focus on damages calculation.",
"active": true,
"triggerOnDocket": true,
"triggerOnDraft": false,
"includeEvidence": true,
"includeFullCase": false
}prompts
Update AI analysis prompt
Updates an existing prompt configuration by ID. Allows modification of prompt text and trigger settings. Requires admin.platform.super permission.
POST
/
prompts
/
update
Update AI analysis prompt
Authorizations
access token
Body
application/json
Prompt ID to update
Required range:
x >= 1Example:
42
Updated AI prompt text
Required string length:
1 - 50000Example:
"Analyze the statement of claim with enhanced focus on damages calculation."
Whether this prompt is active
Example:
true
Trigger analysis when document is docketed
Example:
true
Trigger analysis when document is drafted
Example:
false
Include case evidence in analysis context
Example:
true
Include full case docket in analysis context
Example:
false
Response
Updated prompt details
Example:
42
Example:
"2026-01-15T10:30:00.000Z"
Example:
"2026-01-20T14:45:00.000Z"
Example:
"statementOfClaim"
Example:
"small-claims-v1"
Example:
"Analyze the statement of claim with enhanced focus on damages calculation."
Example:
true
Example:
true
Example:
false
Example:
true
Example:
false
⌘I